BlackBerry Forums Support Community               

Closed Thread
 
LinkBack Thread Tools
Old 09-28-2008, 10:30 AM   #1 (permalink)
New Member
 
Join Date: Sep 2008
Location: Illinois
Model: 8310
OS: 4.2.2.170
PIN: 248DD42F
Carrier: AT&T
Posts: 4
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default 4.5 OS for AT&T 8310

Please Login to Remove!

Does anyone know when AT&T will sign off on the latest OS for the 8310 Curve? I was hoping it would have happened already. If I get it from another carrier and remove the vendot file in order to get it to work on AT&T's network, will it do anything to void the phones or AT&T's warranty? I am a little hesitant,, to do so since this is my first smartphone of any kind.
Offline  
Old 09-28-2008, 10:35 AM   #2 (permalink)
CrackBerry Addict
 
coldconfession13's Avatar
 
Join Date: Apr 2007
Location: san antonio,tx
Model: 9550
OS: 5.0.0.230
PIN: 30fd8208
Carrier: Verizon
Posts: 904
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Wirelessly posted

You can install 4.5 for 8310 no matter what carrier releaes it. I have .81 on att 8310 with no problems. If you have to warranty you always want to downgrade back to att official os
__________________
http://www.horizonwirelessonline.com
Unlock codes, Parts, Repair just tell them Albert sent ya

http://www.blackberryfaq.com
Offline  
Old 09-28-2008, 11:23 PM   #3 (permalink)
Just me
 
fonejunkie's Avatar
 
Join Date: Jul 2006
Model: iFone
OS: iOS4
PIN: Not on my iPhone5
Carrier: iPhone5 on AT&T Mobility
Posts: 2,292
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

(oops, wrong thread)

Last edited by fonejunkie : 09-28-2008 at 11:25 PM.
Offline  
Old 09-28-2008, 11:24 PM   #4 (permalink)
Just me
 
fonejunkie's Avatar
 
Join Date: Jul 2006
Model: iFone
OS: iOS4
PIN: Not on my iPhone5
Carrier: iPhone5 on AT&T Mobility
Posts: 2,292
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Quote:
Originally Posted by vmladenov View Post
Wirelessly posted

Unofficial device software (not from your carrier) voids your warranty.
None of the software comes from your carrier. It's all from RIM.

If you have an issue, you can always fallback to the latest carrier-approved version of the OS.
Offline  
Old 09-29-2008, 12:18 AM   #5 (permalink)
CrackBerry Addict
 
barbwyr's Avatar
 
Join Date: May 2008
Location: Southern California
Model: 8310
OS: 4.5.0.52
Carrier: AT&T
Posts: 832
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Quote:
Originally Posted by vmladenov View Post
Wirelessly posted

Unofficial device software (not from your carrier) voids your warranty.
Do you have this on auto text or something? You make this comment on every thread related to OS upgrades. Do you have the literature to back this up? Nowhere on AT&Ts site or in their user manuals does it state that upgrading your OS to a none AT&T release will void your warranty, and considering AT&T retail CSRs have actually suggested upgrading to 4.5 to solve some problems it would not make sense that it voids the warranty. This is not to say that phone support will be able to help you solve problems since everything they say is based on a computer script that likely does not cover 4.5. Untill you can back up your statement with facts I would suggest you stop trying to scare users away from upgrading to the latest software.
Offline  
Closed Thread


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

vB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On





Copyright 2004-2014 BlackBerryForums.com.
The names RIM and BlackBerry are registered Trademarks of BlackBerry Inc.